Subject: Re: bug#77426: pdfarranger breaks Gnome desktop when installed

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 26 Apr 2025 23:17:10 +0900

Hi,

Christophe Pisteur <[email-masked]> writes:

> I had the same problem since Gnome 46: even with a fresh install, as
> soon as I install pdfarranger 1.11.0, I get the message “oh no
> something has
> gone wrong...”. See:
> https://lists.gnu.org/archive/html/help-guix/2025-03/msg00148.html

It's weird that a few propagated Python packages could break GDM, but
I've fixed this particular occurrence by simply not propagating anything
from pdfarranger with commit edeafb19c4a: being an application (and not
a library), it doesn't need to make its own Python dependencies
available to the profile.

Closing; thanks for the report.

-- 
Maxim